# lua.h File Reference

`#include <stdarg.h>`
`#include <stddef.h>`
`#include "luaconf.h"`

Go to the source code of this file.

## Classes
struct | lua_Debug
## Defines
#define | LUA_VERSION "Lua 5.1"
#define | LUA_RELEASE "Lua 5.1.4"
#define | LUA_VERSION_NUM 501
#define | LUA_COPYRIGHT "Copyright (C) 1994-2008 Lua.org, PUC-Rio"
#define | LUA_AUTHORS "R. Ierusalimschy, L. H. de Figueiredo & W. Celes"
#define | LUA_SIGNATURE "\033Lua"
#define | LUA_MULTRET (-1)
#define | LUA_REGISTRYINDEX (-10000)
#define | LUA_ENVIRONINDEX (-10001)
#define | LUA_GLOBALSINDEX (-10002)
#define | lua_upvalueindex(i) (LUA_GLOBALSINDEX-(i))
#define | LUA_YIELD 1
#define | LUA_ERRRUN 2
#define | LUA_ERRSYNTAX 3
#define | LUA_ERRMEM 4
#define | LUA_ERRERR 5
#define | LUA_TNONE (-1)
#define | LUA_TNIL 0
#define | LUA_TBOOLEAN 1
#define | LUA_TLIGHTUSERDATA 2
#define | LUA_TNUMBER 3
#define | LUA_TSTRING 4
#define | LUA_TTABLE 5
#define | LUA_TFUNCTION 6
#define | LUA_TUSERDATA 7
#define | LUA_TTHREAD 8
#define | LUA_MINSTACK 20
#define | LUA_GCSTOP 0
#define | LUA_GCRESTART 1
#define | LUA_GCCOLLECT 2
#define | LUA_GCCOUNT 3
#define | LUA_GCCOUNTB 4
#define | LUA_GCSTEP 5
#define | LUA_GCSETPAUSE 6
#define | LUA_GCSETSTEPMUL 7
#define | lua_pop(L, n) lua_settop(L, -(n)-1)
#define | lua_newtable(L) lua_createtable(L, 0, 0)
#define | lua_register(L, n, f) (lua_pushcfunction(L, (f)), lua_setglobal(L, (n)))
#define | lua_pushcfunction(L, f) lua_pushcclosure(L, (f), 0)
#define | lua_strlen(L, i) lua_objlen(L, (i))
#define | lua_isfunction(L, n) (lua_type(L, (n)) == LUA_TFUNCTION)
#define | lua_istable(L, n) (lua_type(L, (n)) == LUA_TTABLE)
#define | lua_islightuserdata(L, n) (lua_type(L, (n)) == LUA_TLIGHTUSERDATA)
#define | lua_isnil(L, n) (lua_type(L, (n)) == LUA_TNIL)
#define | lua_isboolean(L, n) (lua_type(L, (n)) == LUA_TBOOLEAN)
#define | lua_isthread(L, n) (lua_type(L, (n)) == LUA_TTHREAD)
#define | lua_isnone(L, n) (lua_type(L, (n)) == LUA_TNONE)
#define | lua_isnoneornil(L, n) (lua_type(L, (n)) <= 0)
#define | lua_pushliteral(L, s) lua_pushlstring(L, "" s, (sizeof(s)/sizeof(char))-1)
#define | lua_setglobal(L, s) lua_setfield(L, LUA_GLOBALSINDEX, (s))
#define | lua_getglobal(L, s) lua_getfield(L, LUA_GLOBALSINDEX, (s))
#define | lua_tostring(L, i) lua_tolstring(L, (i), NULL)
#define | lua_open() luaL_newstate()
#define | lua_getregistry(L) lua_pushvalue(L, LUA_REGISTRYINDEX)
#define | lua_getgccount(L) lua_gc(L, LUA_GCCOUNT, 0)
#define | lua_Chunkreader lua_Reader
#define | lua_Chunkwriter lua_Writer
#define | LUA_HOOKCALL 0
#define | LUA_HOOKRET 1
#define | LUA_HOOKLINE 2
#define | LUA_HOOKCOUNT 3
#define | LUA_HOOKTAILRET 4
#define | LUA_MASKCALL (1 << LUA_HOOKCALL)
#define | LUA_MASKRET (1 << LUA_HOOKRET)
#define | LUA_MASKLINE (1 << LUA_HOOKLINE)
#define | LUA_MASKCOUNT (1 << LUA_HOOKCOUNT)
## Typedefs
typedef struct lua_State | lua_State
typedef int(* | lua_CFunction )(lua_State *L)
typedef const char *(* | lua_Reader )(lua_State *L, void *ud, size_t *sz)
typedef int(* | lua_Writer )(lua_State *L, const void *p, size_t sz, void *ud)
typedef void *(* | lua_Alloc )(void *ud, void *ptr, size_t osize, size_t nsize)
typedef LUA_NUMBER | lua_Number
typedef LUA_INTEGER | lua_Integer
typedef struct lua_Debug | lua_Debug
typedef void(* | lua_Hook )(lua_State *L, lua_Debug *ar)
## Functions
LUA_API lua_State *() | lua_newstate (lua_Alloc f, void *ud)
LUA_API void() | lua_close (lua_State *L)
LUA_API lua_State *() | lua_newthread (lua_State *L)
LUA_API lua_CFunction() | lua_atpanic (lua_State *L, lua_CFunction panicf)
LUA_API int() | lua_gettop (lua_State *L)
LUA_API void() | lua_settop (lua_State *L, int idx)
LUA_API void() | lua_pushvalue (lua_State *L, int idx)
LUA_API void() | lua_remove (lua_State *L, int idx)
LUA_API void() | lua_insert (lua_State *L, int idx)
LUA_API void() | lua_replace (lua_State *L, int idx)
LUA_API int() | lua_checkstack (lua_State *L, int sz)
LUA_API void() | lua_xmove (lua_State *from, lua_State *to, int n)
LUA_API int() | lua_isnumber (lua_State *L, int idx)
LUA_API int() | lua_isstring (lua_State *L, int idx)
LUA_API int() | lua_iscfunction (lua_State *L, int idx)
LUA_API int() | lua_isuserdata (lua_State *L, int idx)
LUA_API int() | lua_type (lua_State *L, int idx)
LUA_API const char *() | lua_typename (lua_State *L, int tp)
LUA_API int() | lua_equal (lua_State *L, int idx1, int idx2)
LUA_API int() | lua_rawequal (lua_State *L, int idx1, int idx2)
LUA_API int() | lua_lessthan (lua_State *L, int idx1, int idx2)
LUA_API lua_Number() | lua_tonumber (lua_State *L, int idx)
LUA_API lua_Integer() | lua_tointeger (lua_State *L, int idx)
LUA_API int() | lua_toboolean (lua_State *L, int idx)
LUA_API const char *() | lua_tolstring (lua_State *L, int idx, size_t *len)
LUA_API size_t() | lua_objlen (lua_State *L, int idx)
LUA_API lua_CFunction() | lua_tocfunction (lua_State *L, int idx)
LUA_API void *() | lua_touserdata (lua_State *L, int idx)
LUA_API lua_State *() | lua_tothread (lua_State *L, int idx)
LUA_API const void *() | lua_topointer (lua_State *L, int idx)
LUA_API void() | lua_pushnil (lua_State *L)
LUA_API void() | lua_pushnumber (lua_State *L, lua_Number n)
LUA_API void() | lua_pushinteger (lua_State *L, lua_Integer n)
LUA_API void() | lua_pushlstring (lua_State *L, const char *s, size_t l)
LUA_API void() | lua_pushstring (lua_State *L, const char *s)
LUA_API const char *() | lua_pushvfstring (lua_State *L, const char *fmt, va_list argp)
LUA_API const char *() | lua_pushfstring (lua_State *L, const char *fmt,...)
LUA_API void() | lua_pushcclosure (lua_State *L, lua_CFunction fn, int n)
LUA_API void() | lua_pushboolean (lua_State *L, int b)
LUA_API void() | lua_pushlightuserdata (lua_State *L, void *p)
LUA_API int() | lua_pushthread (lua_State *L)
LUA_API void() | lua_gettable (lua_State *L, int idx)
LUA_API void() | lua_getfield (lua_State *L, int idx, const char *k)
LUA_API void() | lua_rawget (lua_State *L, int idx)
LUA_API void() | lua_rawgeti (lua_State *L, int idx, int n)
LUA_API void() | lua_createtable (lua_State *L, int narr, int nrec)
LUA_API void *() | lua_newuserdata (lua_State *L, size_t sz)
LUA_API int() | lua_getmetatable (lua_State *L, int objindex)
LUA_API void() | lua_getfenv (lua_State *L, int idx)
LUA_API void() | lua_settable (lua_State *L, int idx)
LUA_API void() | lua_setfield (lua_State *L, int idx, const char *k)
LUA_API void() | lua_rawset (lua_State *L, int idx)
LUA_API void() | lua_rawseti (lua_State *L, int idx, int n)
LUA_API int() | lua_setmetatable (lua_State *L, int objindex)
LUA_API int() | lua_setfenv (lua_State *L, int idx)
LUA_API void() | lua_call (lua_State *L, int nargs, int nresults)
LUA_API int() | lua_pcall (lua_State *L, int nargs, int nresults, int errfunc)
LUA_API int() | lua_cpcall (lua_State *L, lua_CFunction func, void *ud)
LUA_API int() | lua_load (lua_State *L, lua_Reader reader, void *dt, const char *chunkname)
LUA_API int() | lua_dump (lua_State *L, lua_Writer writer, void *data)
LUA_API int() | lua_yield (lua_State *L, int nresults)
LUA_API int() | lua_resume (lua_State *L, int narg)
LUA_API int() | lua_status (lua_State *L)
LUA_API int() | lua_gc (lua_State *L, int what, int data)
LUA_API int() | lua_error (lua_State *L)
LUA_API int() | lua_next (lua_State *L, int idx)
LUA_API void() | lua_concat (lua_State *L, int n)
LUA_API lua_Alloc() | lua_getallocf (lua_State *L, void **ud)
LUA_API void | lua_setallocf (lua_State *L, lua_Alloc f, void *ud)
LUA_API void | lua_setlevel (lua_State *from, lua_State *to)
LUA_API int | lua_getstack (lua_State *L, int level, lua_Debug *ar)
LUA_API int | lua_getinfo (lua_State *L, const char *what, lua_Debug *ar)
LUA_API const char * | lua_getlocal (lua_State *L, const lua_Debug *ar, int n)
LUA_API const char * | lua_setlocal (lua_State *L, const lua_Debug *ar, int n)
LUA_API const char * | lua_getupvalue (lua_State *L, int funcindex, int n)
LUA_API const char * | lua_setupvalue (lua_State *L, int funcindex, int n)
LUA_API int | lua_sethook (lua_State *L, lua_Hook func, int mask, int count)
LUA_API lua_Hook | lua_gethook (lua_State *L)
LUA_API int | lua_gethookmask (lua_State *L)
LUA_API int | lua_gethookcount (lua_State *L)

## Define Documentation

#define LUA_AUTHORS "R. Ierusalimschy, L. H. de Figueiredo & W. Celes"

#define lua_Chunkreader lua_Reader

#define lua_Chunkwriter lua_Writer

#define LUA_COPYRIGHT "Copyright (C) 1994-2008 Lua.org, PUC-Rio"

#define LUA_ENVIRONINDEX (-10001)

#define LUA_ERRERR 5

#define LUA_ERRMEM 4

#define LUA_ERRRUN 2

#define LUA_ERRSYNTAX 3

#define LUA_GCCOLLECT 2

#define LUA_GCCOUNT 3

#define LUA_GCCOUNTB 4

#define LUA_GCRESTART 1

#define LUA_GCSETPAUSE 6

#define LUA_GCSETSTEPMUL 7

#define LUA_GCSTEP 5

#define LUA_GCSTOP 0

#define lua_getgccount | ( | L |  | ) | lua_gc(L, LUA_GCCOUNT, 0)

#define lua_getglobal | ( | L,
|  | s |  | ) | lua_getfield(L, LUA_GLOBALSINDEX, (s))

#define lua_getregistry | ( | L |  | ) | lua_pushvalue(L, LUA_REGISTRYINDEX)

#define LUA_GLOBALSINDEX (-10002)

#define LUA_HOOKCALL 0

#define LUA_HOOKCOUNT 3

#define LUA_HOOKLINE 2

#define LUA_HOOKRET 1

#define LUA_HOOKTAILRET 4

#define lua_isboolean | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TBOOLEAN)

#define lua_isfunction | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TFUNCTION)

#define lua_islightuserdata | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TLIGHTUSERDATA)

#define lua_isnil | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TNIL)

#define lua_isnone | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TNONE)

#define lua_isnoneornil | ( | L,
|  | n |  | ) | (lua_type(L, (n)) <= 0)

#define lua_istable | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TTABLE)

#define lua_isthread | ( | L,
|  | n |  | ) | (lua_type(L, (n)) == LUA_TTHREAD)

#define LUA_MASKCALL (1 << LUA_HOOKCALL)

#define LUA_MASKCOUNT (1 << LUA_HOOKCOUNT)

#define LUA_MASKLINE (1 << LUA_HOOKLINE)

#define LUA_MASKRET (1 << LUA_HOOKRET)

#define LUA_MINSTACK 20

#define LUA_MULTRET (-1)

#define lua_newtable | ( | L |  | ) | lua_createtable(L, 0, 0)

#define lua_open | ( |  | ) | luaL_newstate()

#define lua_pop | ( | L,
|  | n |  | ) | lua_settop(L, -(n)-1)

#define lua_pushcfunction | ( | L,
|  | f |  | ) | lua_pushcclosure(L, (f), 0)

#define lua_pushliteral | ( | L,
|  | s |  | ) | lua_pushlstring(L, "" s, (sizeof(s)/sizeof(char))-1)

#define lua_register | ( | L,
|  | n,
|  | f |  | ) | (lua_pushcfunction(L, (f)), lua_setglobal(L, (n)))

#define LUA_REGISTRYINDEX (-10000)

#define LUA_RELEASE "Lua 5.1.4"

#define lua_setglobal | ( | L,
|  | s |  | ) | lua_setfield(L, LUA_GLOBALSINDEX, (s))

#define LUA_SIGNATURE "\033Lua"

#define lua_strlen | ( | L,
|  | i |  | ) | lua_objlen(L, (i))

#define LUA_TBOOLEAN 1

#define LUA_TFUNCTION 6

#define LUA_TLIGHTUSERDATA 2

#define LUA_TNIL 0

#define LUA_TNONE (-1)

#define LUA_TNUMBER 3

#define lua_tostring | ( | L,
|  | i |  | ) | lua_tolstring(L, (i), NULL)

#define LUA_TSTRING 4

#define LUA_TTABLE 5

#define LUA_TTHREAD 8

#define LUA_TUSERDATA 7

#define lua_upvalueindex | ( | i |  | ) | (LUA_GLOBALSINDEX-(i))

#define LUA_VERSION "Lua 5.1"

#define LUA_VERSION_NUM 501

#define LUA_YIELD 1

## Typedef Documentation

typedef void*(* lua_Alloc)(void *ud, void *ptr, size_t osize, size_t nsize)

typedef int(* lua_CFunction)(lua_State *L)

typedef struct lua_Debug lua_Debug

typedef void(* lua_Hook)(lua_State *L, lua_Debug *ar)

typedef LUA_INTEGER lua_Integer

typedef LUA_NUMBER lua_Number

typedef const char*(* lua_Reader)(lua_State *L, void *ud, size_t *sz)

typedef struct lua_State lua_State

typedef int(* lua_Writer)(lua_State *L, const void *p, size_t sz, void *ud)

## Function Documentation

LUA_API lua_CFunction() lua_atpanic | ( | lua_State * | L,
|  | lua_CFunction | panicf |
| ) |  |  |

LUA_API void() lua_call | ( | lua_State * | L,
|  | int | nargs,
|  | int | nresults |
| ) |  |  |

LUA_API int() lua_checkstack | ( | lua_State * | L,
|  | int | sz |
| ) |  |  |

LUA_API void() lua_close | ( | lua_State * | L | ) |

LUA_API void() lua_concat | ( | lua_State * | L,
|  | int | n |
| ) |  |  |

LUA_API int() lua_cpcall | ( | lua_State * | L,
|  | lua_CFunction | func,
|  | void * | ud |
| ) |  |  |

LUA_API void() lua_createtable | ( | lua_State * | L,
|  | int | narr,
|  | int | nrec |
| ) |  |  |

LUA_API int() lua_dump | ( | lua_State * | L,
|  | lua_Writer | writer,
|  | void * | data |
| ) |  |  |

LUA_API int() lua_equal | ( | lua_State * | L,
|  | int | idx1,
|  | int | idx2 |
| ) |  |  |

LUA_API int() lua_error | ( | lua_State * | L | ) |

LUA_API int() lua_gc | ( | lua_State * | L,
|  | int | what,
|  | int | data |
| ) |  |  |

LUA_API lua_Alloc() lua_getallocf | ( | lua_State * | L,
|  | void ** | ud |
| ) |  |  |

LUA_API void() lua_getfenv | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_getfield | ( | lua_State * | L,
|  | int | idx,
|  | const char * | k |
| ) |  |  |

LUA_API lua_Hook lua_gethook | ( | lua_State * | L | ) |

LUA_API int lua_gethookcount | ( | lua_State * | L | ) |

LUA_API int lua_gethookmask | ( | lua_State * | L | ) |

LUA_API int lua_getinfo | ( | lua_State * | L,
|  | const char * | what,
|  | lua_Debug * | ar |
| ) |  |  |

LUA_API const char* lua_getlocal | ( | lua_State * | L,
|  | const lua_Debug * | ar,
|  | int | n |
| ) |  |  |

LUA_API int() lua_getmetatable | ( | lua_State * | L,
|  | int | objindex |
| ) |  |  |

LUA_API int lua_getstack | ( | lua_State * | L,
|  | int | level,
|  | lua_Debug * | ar |
| ) |  |  |

LUA_API void() lua_gettable | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_gettop | ( | lua_State * | L | ) |

LUA_API const char* lua_getupvalue | ( | lua_State * | L,
|  | int | funcindex,
|  | int | n |
| ) |  |  |

LUA_API void() lua_insert | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_iscfunction | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_isnumber | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_isstring | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_isuserdata | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_lessthan | ( | lua_State * | L,
|  | int | idx1,
|  | int | idx2 |
| ) |  |  |

LUA_API int() lua_load | ( | lua_State * | L,
|  | lua_Reader | reader,
|  | void * | dt,
|  | const char * | chunkname |
| ) |  |  |

LUA_API lua_State*() lua_newstate | ( | lua_Alloc | f,
|  | void * | ud |
| ) |  |  |

LUA_API lua_State*() lua_newthread | ( | lua_State * | L | ) |

LUA_API void*() lua_newuserdata | ( | lua_State * | L,
|  | size_t | sz |
| ) |  |  |

LUA_API int() lua_next | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API size_t() lua_objlen | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_pcall | ( | lua_State * | L,
|  | int | nargs,
|  | int | nresults,
|  | int | errfunc |
| ) |  |  |

LUA_API void() lua_pushboolean | ( | lua_State * | L,
|  | int | b |
| ) |  |  |

LUA_API void() lua_pushcclosure | ( | lua_State * | L,
|  | lua_CFunction | fn,
|  | int | n |
| ) |  |  |

LUA_API const char*() lua_pushfstring | ( | lua_State * | L,
|  | const char * | fmt,
|  |  | ... |
| ) |  |  |

LUA_API void() lua_pushinteger | ( | lua_State * | L,
|  | lua_Integer | n |
| ) |  |  |

LUA_API void() lua_pushlightuserdata | ( | lua_State * | L,
|  | void * | p |
| ) |  |  |

LUA_API void() lua_pushlstring | ( | lua_State * | L,
|  | const char * | s,
|  | size_t | l |
| ) |  |  |

LUA_API void() lua_pushnil | ( | lua_State * | L | ) |

LUA_API void() lua_pushnumber | ( | lua_State * | L,
|  | lua_Number | n |
| ) |  |  |

LUA_API void() lua_pushstring | ( | lua_State * | L,
|  | const char * | s |
| ) |  |  |

LUA_API int() lua_pushthread | ( | lua_State * | L | ) |

LUA_API void() lua_pushvalue | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API const char*() lua_pushvfstring | ( | lua_State * | L,
|  | const char * | fmt,
|  | va_list | argp |
| ) |  |  |

LUA_API int() lua_rawequal | ( | lua_State * | L,
|  | int | idx1,
|  | int | idx2 |
| ) |  |  |

LUA_API void() lua_rawget | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_rawgeti | ( | lua_State * | L,
|  | int | idx,
|  | int | n |
| ) |  |  |

LUA_API void() lua_rawset | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_rawseti | ( | lua_State * | L,
|  | int | idx,
|  | int | n |
| ) |  |  |

LUA_API void() lua_remove | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_replace | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_resume | ( | lua_State * | L,
|  | int | narg |
| ) |  |  |

LUA_API void lua_setallocf | ( | lua_State * | L,
|  | lua_Alloc | f,
|  | void * | ud |
| ) |  |  |

LUA_API int() lua_setfenv | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_setfield | ( | lua_State * | L,
|  | int | idx,
|  | const char * | k |
| ) |  |  |

LUA_API int lua_sethook | ( | lua_State * | L,
|  | lua_Hook | func,
|  | int | mask,
|  | int | count |
| ) |  |  |

LUA_API void lua_setlevel | ( | lua_State * | from,
|  | lua_State * | to |
| ) |  |  |

LUA_API const char* lua_setlocal | ( | lua_State * | L,
|  | const lua_Debug * | ar,
|  | int | n |
| ) |  |  |

LUA_API int() lua_setmetatable | ( | lua_State * | L,
|  | int | objindex |
| ) |  |  |

LUA_API void() lua_settable | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void() lua_settop | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API const char* lua_setupvalue | ( | lua_State * | L,
|  | int | funcindex,
|  | int | n |
| ) |  |  |

LUA_API int() lua_status | ( | lua_State * | L | ) |

LUA_API int() lua_toboolean | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API lua_CFunction() lua_tocfunction | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API lua_Integer() lua_tointeger | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API const char*() lua_tolstring | ( | lua_State * | L,
|  | int | idx,
|  | size_t * | len |
| ) |  |  |

LUA_API lua_Number() lua_tonumber | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API const void*() lua_topointer | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API lua_State*() lua_tothread | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API void*() lua_touserdata | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API int() lua_type | ( | lua_State * | L,
|  | int | idx |
| ) |  |  |

LUA_API const char*() lua_typename | ( | lua_State * | L,
|  | int | tp |
| ) |  |  |

LUA_API void() lua_xmove | ( | lua_State * | from,
|  | lua_State * | to,
|  | int | n |
| ) |  |  |

LUA_API int() lua_yield | ( | lua_State * | L,
|  | int | nresults |
| ) |  |  |